package com.xingxi.master.product.mapper;

import com.xingxi.master.product.domain.ProdVendor;

import java.util.List;

/**
 * 商品供应商Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ProdVendorMapper {
    /**
     * 查询商品供应商
     *
     * @param prodVendorId 商品供应商主键
     * @return 商品供应商
     */
    ProdVendor selectProdVendorByProdVendorId(Long prodVendorId);

    /**
     * 查询商品供应商列表
     *
     * @param prodVendor 商品供应商
     * @return 商品供应商集合
     */
    List<ProdVendor> selectProdVendorList(ProdVendor prodVendor);

    /**
     * 新增商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    int insertProdVendor(ProdVendor prodVendor);

    /**
     * 批量新增商品供应商
     *
     * @param prodVendorList 商品供应商
     * @return 结果
     */
    int batchInsertProdVendor(List<ProdVendor> prodVendorList);

    /**
     * 修改商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    int updateProdVendor(ProdVendor prodVendor);

    /**
     * 删除商品供应商
     *
     * @param prodVendorId 商品供应商主键
     * @return 结果
     */
    int deleteProdVendorByProdVendorId(Long prodVendorId);

    /**
     * 批量删除商品供应商
     *
     * @param prodVendorIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProdVendorByProdVendorIds(String[] prodVendorIds);


    /**
     * 逻辑删除商品供应商
     *
     * @param prodVendorId 商品供应商主键
     * @return 结果
     */
    int logicDeleteProdVendorByProdVendorId(Long prodVendorId);

    /**
     * 逻辑批量删除商品供应商
     *
     * @param prodVendorIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteProdVendorByProdVendorIds(String[] prodVendorIds);

    /**
     * 逻辑批量删除商品供应商
     *
     * @param prodVendor 商品供应商
     * @return 结果
     */
    int logicDeleteProdVendorByCondition(ProdVendor prodVendor);

}
